RSC's CMake configuration confuses internal and external Boost.UUID
Status: Resolved Start date: 08/31/2011
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: cmake Estimated time: 0.00 hour
Target version:

Description

| think, the problem is caused by

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

at the beginning of CMakeLists.txt which seems to cause the subsequent

FIND_PACKAGE(BoostUUID)

to find the FindBoostUUID.cmake file within the RSC distribution. This file is then probably treated as an external Boost.UUID library.

Associated revisions

Revision fe00f434 - 09/01/2011 11:25 AM - J. Wienke

fix boost uid internal finding logic

fixes #530

Revision 0f14da76 - 09/01/2011 11:28 AM - J. Wienke

merge r342 to branch

refs #530

History

#1 - 08/31/2011 05:01 PM - J. Moringen
- Description updated

#2 - 09/01/2011 10:11 AM - J. Wienke
- Category set to cmake
- Status changed from New to In Progress

#3 - 09/01/2011 10:17 AM - J. Wienke

CMAKE_MODULE_PATH is not used to find the required library. But | cannot reproduce this problem on archlinux.

#4 - 09/01/2011 10:22 AM - J. Wienke
- Status changed from In Progress to Feedback

- % Done changed from 0 to 20

Also on moma | get this correct result:
GET_FILENAME_COMPONENT(CONFIG_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

SET(RSC_LIBRARIES "${CONFIG_DIR}...../lib/librsc.s0")
SET(RSC_INCLUDE_DIRS "${CONFIG_DIR}...../finclude" "${CONFIG_DIR}...../include/rsc/3rdparty/boost.uuid")
SET(RSC_RUNTIME_LIBRARY_DIRS "${CONFIG_DIR}/...../oin")

SET(RSC_VERSION "0.5.0")

SET(RSC_CMAKE_MODULE_PATH "${CONFIG_DIRY}...../share/cmake/Modules")
SET(RSC_INTERNAL_BOOST UUID TRUE)

What was your result?

#5 - 09/01/2011 11:26 AM - J. Wienke
- Status changed from Feedback to Resolved
- % Done changed from 20 to 100

Applied in changeset r342.
